Package relaxngcc.codedom

## Class CDMethodInvokeExpression

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDMethodInvokeExpression

-     public class CDMethodInvokeExpression
      extends CDExpression

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDMethodInvokeExpression​(java.lang.String methodname)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDMethodInvokeExpression` | `arg​(CDExpression arg)` | Adds an argument to this invocation.
    `CDMethodInvokeExpression` | `args​(CDExpression[] args)` | Adds arguments to this invocation.
    `CDStatement` | `asStatement()` |
    `void` | `express​(CDFormatter f)` |

    - ### Methods inherited from class relaxngcc.codedom.CDExpression

      `_new, arrayRef, arrayRef, castTo, invoke, not, prop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDMethodInvokeExpression

          public CDMethodInvokeExpression​(java.lang.String methodname)

  - ### Method Detail

    - #### arg

          public CDMethodInvokeExpression arg​(CDExpression arg)

      Adds an argument to this invocation.

    - #### args

          public CDMethodInvokeExpression args​(CDExpression[] args)

      Adds arguments to this invocation.

    - #### asStatement

          public CDStatement asStatement()

    - #### express

          public void express​(CDFormatter f)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`